@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root{
    --HelveticaLight: 'HeleveticaLight', Arial;
    --HelveticaBold: 'HeleveticaBold', Arial;
}
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: "poppins", sans-serif;
}

body {
    background-color: #f8f9fa;
    /* display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0; */
}


@font-face {
    font-family: 'HeleveticaBold';
    src: url(../font/HelveticaNeueBold.otf);
}

@font-face {
    font-family: 'HeleveticaLight';
    src: url(../font/HelveticaNeueLight.otf);
}


table {
    font-size: 14px;
}

/* SECTION - SIDENAV */
.sidenav {
    box-shadow: 0 20px 27px 0 rgba(0, 0, 0, 0.05);
    background-color: #fff;


    display: block;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    max-width: 15.625rem;
    overflow-y: auto;
    padding: 0;
    box-shadow: none;
    z-index: 100;

    overflow: hidden;
    overflow-anchor: none;
    -ms-overflow-style: none;
    touch-action: auto;
    -ms-touch-action: auto;

    border-radius: 1rem;
    margin: 1rem 1.5rem;
}


.sidenav .navbar-brand {
    padding: 1.5rem 2rem;
}

.navbar-brand img {
    width: 40px;
    opacity: .5;
    object-fit: cover;
}

.liena-brand {
    background-color: transparent;
    background-image: linear-gradient(to right, rgba(255, 255, 255, 0), rgba(255, 255, 255, 0.472), rgba(255, 255, 255, 0)) !important;
}


.sidenav .nav-item .nav-link {
    color: black;
    opacity: .5;
}

.sidenav .nav-item .nav-link.active {
    color: white;
    opacity: .6;
    font-weight: bold;
    border-radius: 0.5rem;
    background: #202940;
    -webkit-border-radius: 0.5rem;
    -moz-border-radius: 0.5rem;
    -ms-border-radius: 0.5rem;
    -o-border-radius: 0.5rem;
}

.sidenav .nav-item .nav-link svg {
    top: 0;
    pointer-events: none;
}

/* !SECTION - SIDENAV */




/* SECTION - MAIN */
.main__contenido {
    margin-left: 17.125rem;
    position: relative;
    overflow: hidden;
    overflow-anchor: none;
    border-radius: 0.75rem;
    -webkit-border-radius: 0.75rem;
    -moz-border-radius: 0.75rem;
    -ms-border-radius: 0.75rem;
    -o-border-radius: 0.75rem;
}


/* NOTE - NAVBAR */
.navbar__main {
    padding: 1rem 0;
    margin: 0 1.5rem;
    border-radius: 1rem;
    -webkit-border-radius: 1rem;
    -moz-border-radius: 1rem;
    -ms-border-radius: 1rem;
    -o-border-radius: 1rem;
}

.breadcrumb-item {
    opacity: .5;
}

.breadcrumb-item.text-white::before {
    color: black;
}

.navbar__main--user .nav-item a,
.navbar__main--user .nav-item span,
.navbar__main--user .nav-item svg {
    color: black;
    text-decoration: none;
    opacity: .7;
}



/* NOTE - CONTADORES */
.card__contadores {
    height: auto;
    box-shadow: 0 20px 27px 0 rgba(0, 0, 0, 0.05);
    background-color: #fff;
}

.registro__contador h3 {
    color: black;
    text-transform: uppercase;
    font-size: 16px;
    font-weight: 700;
    opacity: .6;
}

.registro__contador h4 {
    font-size: 20px;
    font-weight: bold;
    color: black;
}

.registro__contador p {
    color: black;
    font-size: 14px;
    opacity: .5;
    text-transform: uppercase;
}

.icono__contador {
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
    background-color: #1a2035;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    border-radius: 25px;
    -webkit-border-radius: 25px;
    -moz-border-radius: 25px;
    -ms-border-radius: 25px;
    -o-border-radius: 25px;
}

.icono__contador svg {
    color: black;
    opacity: .6;

}


.header-agregar{
    box-shadow: 0px 3px 14px rgba(226, 225, 225, .75);
    background-color: #fff;
    padding: 25px;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
}

.header-agregar h2{
    font-family: var(--HelveticaBold);
    
}

.btn-add{
    text-decoration: none;
    background: #202940;
    opacity: .6;
    border: 0;
    color: white;
    padding: 10px;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
}

.contenedor-tablas {
    border-radius: 10px;
    padding: 20px 2rem 20px 2rem;
    box-shadow: 0px 3px 14px rgba(226, 225, 225, .75);
    background-color: #fff;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
}


/* NOTE - AGREGAR */
.btn-agregar {
    border-radius: 5px;
    padding: 10px 1.5rem;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
    background-color: #1a2035;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
}


.modal-agregar .modal-content {
    background: #202940;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14), 0 3px 1px -2px rgba(0, 0, 0, .2), 0 1px 5px 0 rgba(0, 0, 0, .12);
}

.modal-agregar .modal-content .border-white-opacity {
    border: 2px solid rgba(255, 255, 255, 0.4);
    box-shadow: none;
    color: rgba(255, 255, 255, 0.4);
}

/* !SECTION - MAIN */


/* SECTION - AÑADIR PRODUCTO */

.preview-img{
    /* width: 300px; 
    height: 300px;  */
    height: 200px;
    border: 1px solid #ccc; 
    background-color: #f0f0f0; 
    text-align: center; 
}




/* LOGUIN */
.login-container {
    background: rgba(255, 255, 255, 0.9);
    border-radius: 10px;
    padding: 40px;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    position: relative;
    width: 450px;
}

.login-logo {
    position: absolute;
    top: -65px;
    left: 50%;
    transform: translateX(-50%);
    width: 130px;
    height: 130px;
    background-color: white;
    border: 5px solid #f8f9fa;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    /* box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px; */
}

.login-logo img {
    width: 60px;
    height: 60px;
}

.login-container h2 {
    margin-top: 30px;
    color: #333;
    font-size: 28px ;
    text-align: center;
}

.login-container input[type="text"],
.login-container input[type="password"] {
    background-color: #fff;
    border: 1px solid #ccc;
    color: #333;
}

.login-container input[type="text"]::placeholder,
.login-container input[type="password"]::placeholder {
    color: #aaa;
}

.login-container .btn {
    background-color: #333;
    border: none;
    color: #fff;
}

.login-container a {
    color: #007bff;
    text-decoration: none;
}

.login-container a:hover {
    text-decoration: underline;
}